function QuadrosSocietarios() {
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);

	this.abrir = () => {
		geral.abrir(['Parametrização', 'Contábil',
			'ECF (Escruturação Contábil Fiscal', 'Bloco Y', 'Quadros Societários e Rendimentos']);
	};

	this.adicionar = (nome, pais, tipoPessoa, cpf, socio, cpf1, qualificacao) => {
		geral.clickAndFillField('NMREG', nome);
		geral.searchAndClickGridField('NMPAIS', pais);
		geral.clickAndFillField('CDREG', cpf);
		geral.clickAndFillField('NRCPFREPREG', cpf1);
		geral.selectNative('IDTIPOREG', tipoPessoa);
		geral.selectNative('IDSOCIOREG', socio);
		geral.selectNative('QUALIREPREG', qualificacao);
	};

	this.editar = (nome, pais, tipoPessoa, cpf, socio, qualificacao) => {
		geral.fillField('NMREG', nome);
		geral.clickLimparAutoComplete('NMPAIS');
		geral.searchAndClickGridField('NMPAIS', pais);
		if (pais == 'BRASIL') {
			geral.fillField('CDREG', cpf);
		}
		geral.selectNatives('IDTIPOREG', tipoPessoa,
			'IDSOCIOREG', socio,
			'QUALIREPREG', qualificacao);
	};

	this.adicionarQuadro = (empresa, relacao, dataAlteracao, dataFinal,
		porcentagemCapitalTotal, porcentagemCapitalVolume) => {
		geral.clickAndFillFields('VRPERCAPTOT', porcentagemCapitalTotal,
			'VRPERCAPVOT', porcentagemCapitalVolume);
		geral.searchAndClickGridField('NMRAZSOCEMPR', empresa, 'NMEMPRESA');

		z.field.calendar.openCalendarByIconClick('DTALTSOC');
		z.field.calendar.selectDate(dataAlteracao, 'pt_br');
		z.field.calendar.openCalendarByIconClick('DTFIMSOC');
		z.field.calendar.selectDate(dataFinal, 'pt_br');
		geral.selectNative('IDQUALIY600', relacao);
	};

	this.adicionarRendimentos = (empresa, anoRef, origem, remuneracaoTrab,
		lucro, juros, demais, valorIR) => {
		geral.searchAndClickGridField('NMEMPRESA', empresa);
		geral.clickAndFillField('DTANO', anoRef);
		geral.selectNative('IDQUALIY611', origem);
		geral.clickAndFillFields('VRREMTRAB', remuneracaoTrab,
			'VRLUCRODIV', lucro,
			'VRJURCAPPROP', juros,
			'VRDEMAISREND', demais,
			'VRIRRETIDO', valorIR);
	};

	this.adicionarEmpresas = (nome, qualificacao, dataAlteracao, dataFinal,
		porcentagemCapitalTotal, porcentagemCapitalVolume) => {
		geral.searchAndClickGridField('NMEMPRESA', nome);
		geral.selectNative('IDQUALIY600', qualificacao);
		z.field.calendar.openCalendarByIconClick('DTALTSOC');
		z.field.calendar.selectDate(dataAlteracao, 'pt_br');
		z.field.calendar.openCalendarByIconClick('DTFIMSOC');
		z.field.calendar.selectDate(dataFinal, 'pt_br');
		geral.clickAndFillFields('VRPERCAPTOT', porcentagemCapitalTotal,
			'VRPERCAPVOT', porcentagemCapitalVolume);
	};
}

module.exports = new QuadrosSocietarios();
